---
title: Darcs, friendly version control
---

Darcs, friendly version control.{.darcslogo}
============================================

About this book
---------------

This book should help you to get started with using `darcs` as your daily
version control system. Every chapter deals with a specific topic and explains
everything by using simple examples.

Table of Contents
-----------------

<div class="toc">
* [Introduction](chapter01.html)
  * [Welcome!](chapter01.html#welcome)
  * [What’s version control?](chapter01.html#whats-version-control)
  * [What’s a DVCS?](chapter01.html#whats-a-dvcs)
  * [Why `darcs`?](chapter01.html#why-darcs)
* [Getting started](chapter02.html)
  * [Terminology](chapter02.html#terminology)
  * [Installing `darcs`](chapter02.html#installing-darcs)
  * [Using the `darcs` command line interface](chapter02.html#using-the-darcs-command-line-interface)
* [Working locally](chapter03.html)
  * [Creating our first repository](chapter03.html#creating-our-first-repository)
  * [Ch-Ch-Ch Changes!](chapter03.html#ch-ch-ch-changes)
  * [Inspecting recorded patches](chapter03.html#inspecting-recorded-patches)
  * [Recursively adding files](chapter03.html#recursively-adding-files)
  * [Removing a file](chapter03.html#removing-a-file)
  * [I like to `move` it!](chapter03.html#i-like-to-move-it)
  * [What’s new pussy cat?](chapter03.html#whats-new-pussy-cat)
  * [Seek and replace](chapter03.html#seek-and-replace)
  * [Booooooooooring!!!](chapter03.html#booooooooooring)
  * [Different types of changes](chapter03.html#different-types-of-changes)
  * [Revisiting history](chapter03.html#revisiting-history)
* [Happy little accidents](chapter04.html)
  * [Reverting changes](chapter04.html#reverting-changes)
  * [Unrevert](chapter04.html#unrevert)
  * [Roll-over! Roll-over! Roll-back! `rollback`!](chapter04.html#roll-over-roll-over-roll-back-rollback)
* [A little help from my friends](chapter05.html)
  * [Cloning](chapter05.html#cloning)
  * [Using `clone` locally.](chapter05.html#using-clone-locally.)
  * [Pu-Push it real good!](chapter05.html#pu-push-it-real-good)
  * [Pulling](chapter05.html#pulling)
  * [Weak Hashes](chapter05.html#weak-hashes)
  * [Traveling without moving](chapter05.html#traveling-without-moving)
  * [Annotate](chapter05.html#annotate)
* [Conflict Management](chapter06.html)
  * [A working example](chapter06.html#a-working-example)
  * [Conflict Markers](chapter06.html#conflict-markers)
  * [Solving the issue at hand](chapter06.html#solving-the-issue-at-hand)
  * [Never skip a beat, `--skip-conflicts`!](chapter06.html#never-skip-a-beat---skip-conflicts)
  * [Avoiding conflicts with `replace`](chapter06.html#avoiding-conflicts-with-replace)
* [Dependencies and good patches](chapter07.html)
  * [Dependencies in `darcs`](chapter07.html#dependencies-in-darcs)
  * [A thought on patches](chapter07.html#a-thought-on-patches)
  * [Spontaneous branches](chapter07.html#spontaneous-branches)
* [Rewriting history](chapter08.html)
  * [Amending patches](chapter08.html#amending-patches)
  * [Unrecording patches](chapter08.html#unrecording-patches)
  * [Unrecording individual changes](chapter08.html#unrecording-individual-changes)
  * [OB-LIT-E-RATE!](chapter08.html#ob-lit-e-rate)
  * [All your `rebase` are belong to us!](chapter08.html#all-your-rebase-are-belong-to-us)
* [tag! You're it!](chapter09.html)
  * [Pulling tags](chapter09.html#pulling-tags)
  * [A tale of dirty tags](chapter09.html#a-tale-of-dirty-tags)
  * [Cloning tags](chapter09.html#cloning-tags)
</div>

Except where otherwise [noted](https://creativecommons.org/policies#license),
content on this site is licensed under a [Creative Commons Attribution 4.0
International license](https://creativecommons.org/licenses/by/4.0/).
